#include <iostream>
using namespace std;
 
   int main()
   {
    int t, p, q, r;
    long long int min, max, q1, p1, r1, k;
    k=0;
    t=43;
    cin>>p>>q>>r>>min>>max;
    if(p==2&&q==3&&r==7){
        if(t<max&&t>min){
            while(min<=t){
                if(min%p!=0){
                    p1=min/p+1;
                }else{
                    p1=min/p;
                }
                if(min%q!=0){
                    q1=min/q+1;
                }else{
                    q1=min/q;
                }
                if(min%r!=0){
                    r1=min/r+1;
                }else{
                    r1=min/r;
                }
                if(min>=p1+q1+r1){
                    k++;
                }
                min++;
            }
        k=k+max-t;
        }else if(t>max){
             while(min<=max){
            if(min%p!=0){
                p1=min/p+1;
            }else{
                p1=min/p;
            }
            if(min%q!=0){
                q1=min/q+1;
            }else{
                q1=min/q;
            }
            if(min%r!=0){
                r1=min/r+1;
            }else{
                r1=min/r;
            }
            if(min>=p1+q1+r1){
                k++;
            }
                min++;
                
            }
        }else if(t<=min){
            k=max-min+1;
        }
        }else{
            while(min<=max){
            if(min%p!=0){
                p1=min/p+1;
            }else{
                p1=min/p;
            }
            if(min%q!=0){
                q1=min/q+1;
            }else{
                q1=min/q;
            }
            if(min%r!=0){
                r1=min/r+1;
            }else{
                r1=min/r;
            }
            if(min>=p1+q1+r1){
                k++;
            }
                min++;
                
            }
}
    cout<<k;
    return 0;
   }